

{
      Version     Date     Description

	1.10	07/27/87	Turbo Pascal entry point for all i/o procedures.
	1.30	05/16/88	This version will support only Turbo Rev 4.0 .
	2.00a	07/20/89	added uMAC-1050 support.
	2.00b	09/05/89	assign arrays.
	2.01a	10/12/89	added dmb-pulse support
        2.01b   2/12/90         added 827 board
}

unit decl;
interface

{
  The following is a sample of the array declarations needed for commands
  that use array parameters.  This is intended as an example only; the
  arrays do not have to be limited to this size.
}

type
  arr   = array[0..15] of integer;        { these are global declarations }
  arr0  = array[0..99] of integer;
  arr1r = array[0..99] of single;
  arr1l = array[0..99] of longint;
  strarr = string[80];

procedure INITIALIZE (VAR erstat: integer);
procedure ACTIO (lchan :integer; VAR inf :arr; dest: arr0; VAR erstat: integer);
procedure CLRIO (lchan:integer; VAR erstat:integer);
function DIN (lchan:integer; VAR erstat:integer):integer;
function DINB (lchan:integer; VAR erstat:integer):integer;
procedure DOT (lchan,value : integer; VAR erstat: integer);
function DOTR (lchan:integer; VAR erstat:integer):integer;
procedure DOTB (lchan,value : integer; VAR erstat: integer);
function AIN (lchan : integer; VAR erstat:integer):integer;
procedure AOT (lchan, value:integer; VAR erstat: integer);
procedure COLLECT (lchan:integer; VAR dest: arr0; VAR erstat: integer);
procedure SCAN (lchan:integer; VAR dest:arr0; VAR erstat: integer);
procedure CANCEL (lchan:integer; VAR erstat: integer);
procedure CHECK (lchan:integer; VAR erstat: integer);
procedure FINSTART (lchan:integer; VAR erstat: integer);
function FINREAD (lchan:integer; VAR erstat:integer):integer;
procedure EVSTART (lchan:integer; VAR erstat: integer);
procedure EVSTOP (lchan: integer; VAR erstat: integer);
function EVREAD (lchan: integer; VAR erstat:integer):integer;
procedure EVINIT (lchan:integer; VAR erstat: integer);
procedure PULSE (lchan: integer; VAR erstat: integer);
procedure PULSTART (lchan: integer; VAR erstat: integer);
procedure RBUF (lchan: integer; VAR dest: arr0; VAR erstat: integer);
procedure WBUF (lchan: integer; VAR dest: arr0; VAR erstat: integer);
procedure BCOL (lchan: integer; staddr: longint; VAR erstat: integer);
procedure CLCHAN (lchan : integer; VAR erstat: integer);
procedure CCOL (lchan: integer; VAR dest: arr0; VAR erstat: integer);
procedure BSCAN (lchan: integer; staddr: longint; VAR erstat: integer);
procedure CSCAN (lchan: integer; VAR dest: arr0; VAR erstat: integer);
procedure AVG (lchan: integer; VAR value: integer; VAR erstat: integer);
procedure CAVG (lchan: integer; VAR value:integer; VAR erstat: integer);
procedure FINSTOP (lchan : integer; VAR erstat: integer);
procedure AING (lchan : integer; VAR dest : arr0; VAR erstat: integer);
procedure PULSTOP (lchan: integer; VAR erstat: integer);
function BCHECK (lchan : integer; VAR erstat:integer): longint;
procedure TSTCMD (lchan : integer; VAR spec: arr0; VAR erstat: integer);
procedure UCOL (lchan: integer; VAR dest: arr0; VAR erstat: integer);
procedure USCAN (lchan: integer; VAR dest: arr0; VAR erstat: integer);
procedure XFINGREAD ( lchan: integer; VAR rvl: arr1r; VAR erstat: integer);
procedure FINGREAD ( lchan: integer; VAR dest: arr0; VAR erstat: integer);
procedure SETOUT ( board, typ, chan, value: integer; VAR erstat: integer);
procedure XCOLL (lchan:integer; VAR rvl: arr1r; VAR erstat: integer);
procedure XSCAN (lchan:integer; VAR rvl: arr1r; VAR erstat: integer);
procedure XCCOL (lchan: integer; VAR rvl: arr1r; VAR erstat: integer);
procedure XCSCAN (lchan: integer; VAR rvl: arr1r; VAR erstat: integer);
procedure XAVG (lchan: integer; VAR rval: single; VAR erstat: integer);
procedure XCAVG (lchan: integer; VAR rval:single; VAR erstat: integer);
procedure AITYPE800 (lchan,pchan,nchan,modtype: integer; VAR erstat: integer);
procedure AOTYPE800 (lchan,pchan,nchan,modtype: integer; VAR erstat: integer);
function RAITYPE800 (lchan,pchan: integer; VAR erstat: integer): integer;
function RAOTYPE800 (lchan,pchan: integer; VAR erstat: integer): integer;
procedure CONV (lchan:INTEGER; VAR dat: arr0; VAR rdat: arr1r; VAR erstat:INTEGER);
procedure SETSCALE (modtype, ixvalu1: INTEGER; VAR rxvalu1: SINGLE; ixvalu2: INTEGER; VAR rxvalu2: SINGLE; VAR erstat:INTEGER);
procedure XFINREAD (lchan: integer; VAR rval: single; VAR erstat: integer);
procedure AOTG (lchan : integer; dest : arr0; VAR erstat: integer);
procedure XAOTG (lchan : integer; rvl: arr1r; VAR erstat: integer);

procedure AIN800 (lchan,brd,chan,gain : integer; VAR err : integer);
procedure AING800 (lchan,brd:integer; VAR spec: arr; count,gain : integer; VAR err : integer);
procedure COL800 (lchan,brd,chan,range,mult,count,gain:integer; VAR erstat:integer);
procedure DIN800 (lchan,brd:integer; VAR err : integer);
procedure DINB800 (lchan,brd,bitn:integer; VAR err : integer);
procedure DOT800 (lchan,brd:integer; VAR erstat:integer);
procedure DOTB800 (lchan,brd,bitn:integer; VAR erstat:integer);
procedure DOTR800 (lchan,brd:integer; VAR erstat:integer);
procedure EVENT800 (lchan,brd,chan,edge:integer; VAR erstat:integer);
procedure FIN800 (lchan,brd,chan,range,gate : integer; VAR erstat:integer);
procedure PULSE800 (lchan,brd,chan,range,period : integer; VAR erstat:integer);
procedure PULSETR800 (lchan,brd,chan,range,on,off : integer; VAR erstat:integer);
procedure SCAN800 (lchan,brd,chan,range,mult,count,gain:integer; VAR erstat:integer);
procedure TRIG800 (lchan,trsrc:integer; VAR erstat:integer);

procedure AOT802 (lchan, brd, chan:integer; VAR erstat:integer);

procedure AIN815 (lchan,brd,chan,gain : integer; VAR err : integer);
procedure AING815 (lchan,brd:integer; VAR spec: arr; count,gain : integer; VAR err : integer);
procedure AOT815 (lchan,brd,chan : integer; VAR err : integer);
procedure COL815 (lchan,brd,chan,range,mult,count,gain:integer; VAR erstat:integer);
procedure DIN815 (lchan,brd:integer; VAR err : integer);
procedure DINB815 (lchan,brd,bitn:integer; VAR err : integer);
procedure DOT815 (lchan,brd:integer; VAR erstat:integer);
procedure DOTB815 (lchan,brd,bitn:integer; VAR erstat:integer);
procedure DOTR815 (lchan,brd:integer; VAR erstat:integer);
procedure EVENT815 (lchan,brd,chan,edge:integer; VAR erstat:integer);
procedure FIN815 (lchan,brd,chan,range,gate : integer; VAR erstat:integer);
procedure PULSE815 (lchan,brd,chan,range,period : integer; VAR erstat:integer);
procedure PULSETR815 (lchan,brd,chan,range,on,off : integer; VAR erstat:integer);
procedure SCAN815 (lchan,brd,chan,range,mult,count,gain:integer; VAR erstat:integer);
procedure TRIG815 (lchan,trsrc:integer; VAR erstat:integer);

procedure DIN817 (lchan,brd,dport:integer;VAR erstat: integer);
procedure DINB817 (lchan,brd,dport,bitn:integer; VAR erstat: integer);
procedure DOT817 (lchan,brd,dport:integer; VAR erstat:integer);
procedure DOTB817 (lchan,brd,dport,bitn:integer; VAR erstat:integer);
procedure DOTR817 (lchan,brd,dport:integer; VAR erstat:integer);

procedure AIN820 (lchan,brd,chan : integer; VAR erstat:integer); 
procedure AING820 (lchan,brd:integer; VAR spec:arr; count:integer; VAR erstat:integer);
procedure AOT820 (lchan,brd,chan:integer; VAR erstat:integer);
procedure DIN820 (lchan,brd,dport:integer; VAR erstat:integer);
procedure DINB820 (lchan,brd,dport,bitn:integer; VAR erstat:integer);
procedure DOT820 (lchan,brd,dport:integer; VAR erstat:integer);
procedure DOTB820 (lchan,brd,dport,bitn:integer; VAR erstat:integer);
procedure DOTR820 (lchan,brd,dport:integer; VAR erstat:integer);

procedure DEB827 ( board, range, gate: integer; VAR erstat: integer );
procedure DIG827 ( board, bitconf: integer; VAR erstat: integer );
procedure DIGB827 ( board, bit, bitconf: integer; VAR erstat: integer );
procedure DIN827 ( lchan, board: integer; VAR erstat: integer );
procedure DINB827 ( lchan, board, bit: integer; VAR erstat: integer );
procedure DOT827 ( lchan, board: integer; VAR erstat: integer );
procedure DOTB827 ( lchan, board, bit: integer; VAR erstat: integer );
procedure LEVENTG827 (lchan,brd:integer; VAR spec:arr; edge,count:integer; VAR erstat:integer);
procedure FING827 (lchan,brd:integer; VAR spec:arr; range, gate:integer; VAR erstat:integer);
procedure GATE827 ( lchan, level: integer; VAR erstat: integer );
procedure PUL827 (lchan,brd,chan,range,oncyc,offcyc,npulse:integer; VAR erstat:integer);
procedure TRIG827 ( lchan, edge: integer; VAR erstat: integer );

procedure AIN834 (lchan,brd,chan : integer; VAR err : integer);
procedure AING834 (lchan,brd:integer; VAR spec: arr; lcount : longint; VAR err : integer);
procedure DIG834 (brd,port,bitconf:integer; VAR erstat:integer);
procedure DIGB834 (brd,port,bit,valueout:integer; VAR erstat:integer);
procedure DIN834 (lchan,brd,port:integer; VAR err : integer);
procedure DINB834 (lchan,brd,port,bitn:integer; VAR err : integer);
procedure DOT834 (lchan,brd,port:integer; VAR erstat:integer);
procedure DOTB834 (lchan,brd,port,bitn:integer; VAR erstat:integer);
procedure EVENT834 (lchan,brd,chan,edge:integer; VAR erstat:integer);
procedure FIN834 (lchan,brd,chan,range,gate:integer; VAR erstat:integer);
procedure GATE834 (lchan,level:integer; VAR erstat:integer);
procedure PULSE834 (lchan,brd,chan,range,width,npulse:integer; VAR erstat:integer);
procedure CSCAN834 (lchan,brd : integer; VAR spec: arr; range,time:integer;
                    lcount:longint;acqmode:integer; VAR erstat:integer);
procedure TRIG834 (lchan,trmode:integer; smpl : longint; VAR erstat:integer);

procedure AIN835 (lchan,brd,chan : integer; VAR err : integer);
procedure AING835 (lchan,brd:integer; VAR spec: arr; lcount : longint; VAR err : integer);
procedure AOT835 (lchan,brd,chan : integer; VAR err : integer);
procedure AOTG835 (lchan,brd:integer; spec: arr; lcount : longint; VAR err : integer);
procedure DIG835 (brd,port,bitconf:integer; VAR erstat:integer);
procedure DIGB835 (brd,port,bit,valueout:integer; VAR erstat:integer);
procedure DIN835 (lchan,brd,port:integer; VAR err : integer);
procedure DINB835 (lchan,brd,port,bitn:integer; VAR err : integer);
procedure DOT835 (lchan,brd,port:integer; VAR erstat:integer);
procedure DOTB835 (lchan,brd,port,bitn:integer; VAR erstat:integer);
procedure EVENT835 (lchan,brd,chan,edge:integer; VAR erstat:integer);
procedure FIN835 (lchan,brd,chan,range,gate:integer; VAR erstat:integer);
procedure GATE835 (lchan,level:integer; VAR erstat:integer);
procedure PULSE835 (lchan,brd,chan,range,width,npulse:integer; VAR erstat:integer);
procedure CSCAN835 (lchan,brd : integer; VAR spec: arr; range,time:integer;
                    lcount:longint;acqmode:integer; VAR erstat:integer);
procedure TRIG835 (lchan,trmode:integer; smpl : longint; VAR erstat:integer);

procedure AIN850 (lchan,board,pchan: integer; VAR erstat: integer);
procedure AVG850 (lchan,board,pchan,range,mult: integer; rcount: longint; VAR erstat:integer);
procedure BCOL850 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer);
procedure BSCAN850 (lchan,board: integer; VAR chanarr: arr; range,mult: integer; rcount: longint; VAR erstat:integer);
procedure CAVG850 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer);
procedure CCOL850 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer);
procedure COL850 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer);
procedure CSCAN850 (lchan,board: integer; VAR chanarr: arr; range,mult: integer; rcount: longint; VAR erstat:integer);
procedure RBUF850 (lchan,board: integer; brdbuf,rcount: longint; VAR erstat:integer);
procedure SCAN850 (lchan,board: integer; VAR chanarr: arr; range,mult: integer; rcount: longint; VAR erstat:integer);
procedure TRIG850 (lchan,trsrc,trmode,vtrig: integer; smpl:longint; VAR erstat:integer);
procedure WBUF850 (lchan,board: integer; brdbuf,rcount: longint; VAR erstat:integer);

procedure AIN860 (lchan,board,pchan: integer; VAR erstat: integer);
procedure AVG860 (lchan,board,pchan,range,mult: integer; rcount: longint; VAR erstat:integer);
procedure BCOL860 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer);
procedure BSCAN860 (lchan,board: integer; VAR chanarr: arr; range,mult: integer; rcount: longint; simul:integer;
  VAR erstat:integer);
procedure CAVG860 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer);
procedure CCOL860 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer);
procedure COL860 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer);
procedure CSCAN860 (lchan,board: integer; VAR chanarr: arr; range,mult: integer; rcount: longint; simul:integer;
  VAR erstat:integer);
procedure RBUF860 (lchan,board: integer; brdbuf,rcount: longint; VAR erstat:integer);
procedure SCAN860 (lchan,board: integer; VAR chanarr: arr; range,mult: integer; rcount: longint; VAR erstat:integer);
procedure TRIG860 (lchan,trsrc,trmode,vtrig: integer; smpl:longint; VAR erstat:integer);
procedure WBUF860 (lchan,board: integer; brdbuf,rcount: longint; VAR erstat:integer);


procedure XAIN (lchan: integer; VAR rvalue: single; VAR erstat: integer);
procedure XAING (lchan: integer; VAR rvl: arr1r; VAR erstat: integer);
procedure XAOT (lchan: integer; VAR rvalue: single; VAR erstat: integer);
procedure LEVGREAD (lchan: integer; VAR lvl: arr1l; VAR erstat: integer);

implementation
{$L llext}        { interface file to external routines }

procedure INITIALIZE(VAR erstat:integer); external;
procedure ACTIO (lchan :integer; VAR inf: arr; dest: arr0; VAR erstat: integer);external;
procedure CLRIO (lchan:integer; VAR erstat:integer);external;
function DIN (lchan:integer; VAR erstat:integer):integer; external;
function DINB (lchan:integer; VAR erstat:integer):integer; external;
procedure DOT (lchan,value : integer; VAR erstat: integer); external;
function DOTR (lchan:integer; VAR erstat:integer):integer; external;
procedure DOTB (lchan,value : integer; VAR erstat: integer); external;
function AIN (lchan : integer; VAR erstat:integer):integer; external;
procedure AOT (lchan, value:integer; VAR erstat: integer); external;
procedure COLLECT (lchan:integer; VAR dest:arr0; VAR erstat: integer); external;
procedure SCAN (lchan:integer; VAR dest:arr0; VAR erstat: integer); external;
procedure CANCEL (lchan:integer; VAR erstat: integer); external;
procedure CHECK (lchan:integer; VAR erstat: integer); external;
procedure FINSTART (lchan:integer; VAR erstat: integer); external;
function FINREAD (lchan:integer; VAR erstat: integer):integer; external;
procedure EVSTART (lchan:integer; VAR erstat: integer); external;
procedure EVSTOP (lchan: integer; VAR erstat: integer); external;
function EVREAD (lchan: integer; VAR erstat: integer):integer; external;
procedure EVINIT (lchan:integer; VAR erstat: integer); external;
procedure PULSE (lchan: integer; VAR erstat: integer); external;
procedure PULSTART (lchan: integer; VAR erstat: integer); external;
procedure RBUF (lchan: integer; VAR dest: arr0; VAR erstat: integer); external;
procedure WBUF (lchan: integer; VAR dest: arr0; VAR erstat: integer); external;
procedure BCOL (lchan: integer; staddr: longint; VAR erstat: integer); external;
procedure CLCHAN (lchan : integer; VAR erstat: integer); external;
procedure CCOL (lchan: integer; VAR dest: arr0; VAR erstat: integer); external;
procedure BSCAN (lchan: integer; staddr: longint; VAR erstat: integer); external;
procedure CSCAN (lchan: integer; VAR dest: arr0; VAR erstat: integer); external;
procedure AVG (lchan: integer; VAR value: integer; VAR erstat: integer); external;
procedure CAVG (lchan: integer; VAR value:integer; VAR erstat: integer); external;
procedure FINSTOP (lchan : integer; VAR erstat: integer); external;
procedure AING (lchan : integer; VAR dest : arr0; VAR erstat: integer); external;
procedure PULSTOP (lchan: integer; VAR erstat: integer); external;
function BCHECK (lchan : integer; VAR erstat:integer): longint; external;
procedure TSTCMD (lchan : integer; VAR spec: arr0; VAR erstat: integer); external;
procedure UCOL (lchan: integer; VAR dest: arr0; VAR erstat: integer); external;
procedure USCAN (lchan: integer; VAR dest: arr0; VAR erstat: integer); external;
procedure XCOLL (lchan:integer; VAR rvl: arr1r; VAR erstat: integer); external;
procedure XSCAN (lchan:integer; VAR rvl: arr1r; VAR erstat: integer); external;
procedure XCCOL (lchan: integer; VAR rvl: arr1r; VAR erstat: integer); external;
procedure XCSCAN (lchan: integer; VAR rvl: arr1r; VAR erstat: integer); external;
procedure XAVG (lchan: integer; VAR rval: single; VAR erstat: integer); external;
procedure XCAVG (lchan: integer; VAR rval:single; VAR erstat: integer); external;
procedure XFINGREAD ( lchan: integer; VAR rvl: arr1r; VAR erstat: integer); external;
procedure FINGREAD ( lchan: integer; VAR dest: arr0; VAR erstat: integer); external;
procedure SETOUT ( board, typ, chan, value: integer; VAR erstat: integer); external;
procedure AITYPE800 (lchan,pchan,nchan,modtype: integer; VAR erstat: integer); external;
procedure AOTYPE800 (lchan,pchan,nchan,modtype: integer; VAR erstat: integer); external;
function RAITYPE800 (lchan,pchan: integer; VAR erstat: integer): integer; external;
function RAOTYPE800 (lchan,pchan: integer; VAR erstat: integer): integer; external;
procedure CONV (lchan:INTEGER; VAR dat: arr0; VAR rdat: arr1r; VAR erstat:INTEGER); external;
procedure SETSCALE (modtype, ixvalu1: INTEGER; VAR rxvalu1: SINGLE; ixvalu2: INTEGER; VAR rxvalu2: SINGLE; VAR erstat:INTEGER);
 external;
procedure XFINREAD (lchan: integer; VAR rval: single; VAR erstat: integer);external;

procedure AIN800 (lchan,brd,chan,gain : integer; VAR err : integer); external;
procedure AING800 (lchan,brd:integer; VAR spec: arr; count,gain : integer; VAR err : integer); external;
procedure COL800 (lchan,brd,chan,range,mult,count,gain:integer; VAR erstat:integer); external;
procedure DIN800 (lchan,brd:integer; VAR err : integer); external;
procedure DINB800 (lchan,brd,bitn:integer; VAR err : integer); external;
procedure DOT800 (lchan,brd:integer; VAR erstat:integer); external;
procedure DOTB800 (lchan,brd,bitn:integer; VAR erstat:integer); external;
procedure DOTR800 (lchan,brd:integer; VAR erstat:integer); external;
procedure EVENT800 (lchan,brd,chan,edge:integer; VAR erstat:integer); external;
procedure FIN800 (lchan,brd,chan,range,gate : integer; VAR erstat:integer); external;
procedure PULSE800 (lchan,brd,chan,range,period : integer; VAR erstat:integer); external;
procedure PULSETR800 (lchan,brd,chan,range,on,off : integer; VAR erstat:integer); external;
procedure SCAN800 (lchan,brd,chan,range,mult,count,gain:integer; VAR erstat:integer); external;
procedure TRIG800 (lchan,trsrc:integer; VAR erstat:integer); external;

procedure AOT802 (lchan, brd, chan:integer; VAR erstat:integer); external;

procedure AIN815 (lchan,brd,chan,gain : integer; VAR err : integer); external;
procedure AING815 (lchan,brd:integer; VAR spec: arr; count,gain : integer; VAR err : integer); external;
procedure AOT815 (lchan,brd,chan : integer; VAR err : integer); external;
procedure COL815 (lchan,brd,chan,range,mult,count,gain:integer; VAR erstat:integer); external;
procedure DIN815 (lchan,brd:integer; VAR err : integer); external;
procedure DINB815 (lchan,brd,bitn:integer; VAR err : integer); external;
procedure DOT815 (lchan,brd:integer; VAR erstat:integer); external;
procedure DOTB815 (lchan,brd,bitn:integer; VAR erstat:integer); external;
procedure DOTR815 (lchan,brd:integer; VAR erstat:integer); external;
procedure EVENT815 (lchan,brd,chan,edge:integer; VAR erstat:integer); external;
procedure FIN815 (lchan,brd,chan,range,gate : integer; VAR erstat:integer); external;
procedure PULSE815 (lchan,brd,chan,range,period : integer; VAR erstat:integer); external;
procedure PULSETR815 (lchan,brd,chan,range,on,off : integer; VAR erstat:integer); external;
procedure SCAN815 (lchan,brd,chan,range,mult,count,gain:integer; VAR erstat:integer); external;
procedure TRIG815 (lchan,trsrc:integer; VAR erstat:integer); external;

procedure DIN817 (lchan,brd,dport:integer;VAR erstat: integer); external;
procedure DINB817 (lchan,brd,dport,bitn:integer; VAR erstat: integer); external;
procedure DOT817 (lchan,brd,dport:integer; VAR erstat:integer); external;
procedure DOTB817 (lchan,brd,dport,bitn:integer; VAR erstat:integer); external;
procedure DOTR817 (lchan,brd,dport:integer; VAR erstat:integer); external;

procedure AIN820 (lchan,brd,chan : integer; VAR erstat:integer); external;
procedure AING820 (lchan,brd:integer; VAR spec:arr; count:integer; VAR erstat:integer); external;
procedure AOT820 (lchan,brd,chan:integer; VAR erstat:integer); external;
procedure DIN820 (lchan,brd,dport:integer; VAR erstat:integer); external;
procedure DINB820 (lchan,brd,dport,bitn:integer; VAR erstat:integer); external;
procedure DOT820 (lchan,brd,dport:integer; VAR erstat:integer); external;
procedure DOTB820 (lchan,brd,dport,bitn:integer; VAR erstat:integer); external;
procedure DOTR820 (lchan,brd,dport:integer; VAR erstat:integer); external;

procedure DEB827 ( board, range, gate: integer; VAR erstat: integer );external;
procedure DIG827 ( board, bitconf: integer; VAR erstat: integer );external;
procedure DIGB827 ( board, bit, bitconf: integer; VAR erstat: integer );external;
procedure DIN827 ( lchan, board: integer; VAR erstat: integer );external;
procedure DINB827 ( lchan, board, bit: integer; VAR erstat: integer );external;
procedure DOT827 ( lchan, board: integer; VAR erstat: integer );external;
procedure DOTB827 ( lchan, board, bit: integer; VAR erstat: integer );external;
procedure LEVENTG827 (lchan,brd:integer; VAR spec:arr; edge,count:integer; VAR erstat:integer);external;
procedure FING827 (lchan,brd:integer; VAR spec:arr; range, gate:integer; VAR erstat:integer);external;
procedure GATE827 ( lchan, level: integer; VAR erstat: integer );external;
procedure PUL827 (lchan,brd,chan,range,oncyc,offcyc,npulse:integer; VAR erstat:integer);external;
procedure TRIG827 ( lchan, edge: integer; VAR erstat: integer );external;

procedure AIN834 (lchan,brd,chan : integer; VAR err : integer); external;
procedure AING834 (lchan,brd:integer; VAR spec: arr; lcount : longint; VAR err : integer); external;
procedure DIG834 (brd,port,bitconf:integer; VAR erstat:integer); external;
procedure DIGB834 (brd,port,bit,valueout:integer; VAR erstat:integer); external;
procedure DIN834 (lchan,brd,port:integer; VAR err : integer); external;
procedure DINB834 (lchan,brd,port,bitn:integer; VAR err : integer); external;
procedure DOT834 (lchan,brd,port:integer; VAR erstat:integer); external;
procedure DOTB834 (lchan,brd,port,bitn:integer; VAR erstat:integer); external;
procedure EVENT834 (lchan,brd,chan,edge:integer; VAR erstat:integer); external;
procedure FIN834 (lchan,brd,chan,range,gate:integer; VAR erstat:integer); external;
procedure GATE834 (lchan,level:integer; VAR erstat:integer); external;
procedure PULSE834 (lchan,brd,chan,range,width,npulse:integer; VAR erstat:integer); external;
procedure CSCAN834 (lchan,brd : integer; VAR spec: arr; range,time:integer;lcount:longint;acqmode:integer;
                   VAR erstat:integer); external;
procedure TRIG834 (lchan,trmode:integer; smpl : longint; VAR erstat:integer); external;
procedure AIN835 (lchan,brd,chan : integer; VAR err : integer); external;
procedure AING835 (lchan,brd:integer; VAR spec: arr; lcount : longint; VAR err : integer); external;
procedure AOT835 (lchan,brd,chan : integer; VAR err : integer); external;
procedure AOTG835 (lchan,brd:integer; spec: arr; lcount : longint; VAR err : integer); external;
procedure DIG835 (brd,port,bitconf:integer; VAR erstat:integer); external;
procedure DIGB835 (brd,port,bit,valueout:integer; VAR erstat:integer); external;
procedure DIN835 (lchan,brd,port:integer; VAR err : integer); external;
procedure DINB835 (lchan,brd,port,bitn:integer; VAR err : integer); external;
procedure DOT835 (lchan,brd,port:integer; VAR erstat:integer); external;
procedure DOTB835 (lchan,brd,port,bitn:integer; VAR erstat:integer); external;
procedure EVENT835 (lchan,brd,chan,edge:integer; VAR erstat:integer); external;
procedure FIN835 (lchan,brd,chan,range,gate:integer; VAR erstat:integer); external;
procedure GATE835 (lchan,level:integer; VAR erstat:integer); external;
procedure PULSE835 (lchan,brd,chan,range,width,npulse:integer; VAR erstat:integer); external;
procedure CSCAN835 (lchan,brd : integer; VAR spec: arr; range,time:integer;lcount:longint;acqmode:integer;
                   VAR erstat:integer); external;
procedure TRIG835 (lchan,trmode:integer; smpl : longint; VAR erstat:integer); external;

procedure AIN850 (lchan,board,pchan: integer; VAR erstat: integer);external;
procedure AVG850 (lchan,board,pchan,range,mult: integer; rcount: longint; VAR erstat:integer); external;
procedure BCOL850 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer); external;
procedure BSCAN850 (lchan,board: integer; VAR chanarr: arr; range,mult: integer; rcount: longint; VAR erstat:integer);
 external;
procedure CAVG850 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer); external;
procedure CCOL850 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer); external;
procedure COL850 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer); external;
procedure CSCAN850 (lchan,board: integer; VAR chanarr: arr; range,mult: integer; rcount: longint; VAR erstat:integer);
 external;
procedure RBUF850 (lchan,board: integer; brdbuf,rcount: longint; VAR erstat:integer); external;
procedure SCAN850 (lchan,board: integer; VAR chanarr: arr; range,mult: integer; rcount: longint; VAR erstat:integer);
 external;
procedure TRIG850 (lchan,trsrc,trmode,vtrig: integer; smpl:longint; VAR erstat:integer); external;
procedure WBUF850 (lchan,board: integer; brdbuf,rcount: longint; VAR erstat:integer); external;

procedure AIN860 (lchan,board,pchan: integer; VAR erstat: integer); external;
procedure AVG860 (lchan,board,pchan,range,mult: integer; rcount: longint; VAR erstat:integer); external;
procedure BCOL860 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer); external;
procedure BSCAN860 (lchan,board: integer; VAR chanarr: arr; range,mult: integer; rcount: longint; simul:integer;
  VAR erstat:integer); external;
procedure CAVG860 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer); external;
procedure CCOL860 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer); external;
procedure COL860 (lchan,board,pchan,range,mult:integer; rcount: longint; VAR erstat:integer); external;
procedure CSCAN860 (lchan,board: integer; VAR chanarr: arr; range,mult: integer; rcount: longint; simul:integer;
  VAR erstat:integer); external;
procedure RBUF860 (lchan,board: integer; brdbuf,rcount: longint; VAR erstat:integer); external;
procedure SCAN860 (lchan,board: integer; VAR chanarr: arr; range,mult: integer; rcount: longint; VAR erstat:integer);
 external;
procedure TRIG860 (lchan,trsrc,trmode,vtrig: integer; smpl:longint; VAR erstat:integer); external;
procedure WBUF860 (lchan,board: integer; brdbuf,rcount: longint; VAR erstat:integer); external;

procedure XAIN (lchan: integer; VAR rvalue: single; VAR erstat: integer);
 external;
procedure XAING (lchan: integer; VAR rvl: arr1r; VAR erstat: integer); external;
procedure XAOT (lchan: integer; VAR rvalue: single; VAR erstat: integer);
 external;
procedure AOTG (lchan : integer; dest : arr0; VAR erstat: integer); external;
procedure XAOTG (lchan : integer; rvl: arr1r; VAR erstat: integer); external;
procedure LEVGREAD (lchan: integer; VAR lvl: arr1l; VAR erstat: integer);external;

end.
